Page MenuHomePhabricator

Watchlist sticky state not working
Closed, ResolvedPublic

Description

Sometimes when you view the watchlist the wrong tab is selected.

This bug sometimes shows up in browser tests e.g. https://integration.wikimedia.org/ci/job/selenium-MobileFrontend/BROWSER=chrome,MEDIAWIKI_ENVIRONMENT=beta,PLATFORM=Linux,label=contintLabsSlave%20&&%20UbuntuTrusty/226/testReport/

Open two tabs

  1. Tab 1) Load https://en.m.wikipedia.org/wiki/Special:EditWatchlist
  2. Open modified in a new tab
  3. Refresh tab 1

Expected
In tab 1 modified should be marked as 'is-on' and I show be on the list view (note the URL is still showing EditWatchlist)
Actual:
In tab 1 modified is marked as 'is-on' but the list view is shown below

Test Plan

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptNov 14 2016, 11:10 AM
ovasileva triaged this task as Normal priority.Nov 14 2016, 6:13 PM
ovasileva moved this task from To Triage to Triaged but Future on the Readers-Web-Backlog board.
โ€ข Jdlrobson renamed this task from Watchlist state not always reflected to Watchlist sticky state not working.Nov 15 2016, 9:21 AM
โ€ข Jdlrobson updated the task description. (Show Details)

Change 323338 had a related patch set uploaded (by Jdlrobson):
EditWatchlist should always show 'List' as active

https://gerrit.wikimedia.org/r/323338

phuedx added a subscriber: phuedx.

^ Breaks the build.

bmansurov updated the task description. (Show Details)Nov 28 2016, 8:10 PM
bmansurov reassigned this task from โ€ข Jdlrobson to Nicholas.tsg.

Change 323338 merged by jenkins-bot:
EditWatchlist should always show 'List' as active

https://gerrit.wikimedia.org/r/323338

https://en.m.wikipedia.org/wiki/Special:EditWatchlist I'm getting a message saying "Safari cannot open the page because the server cannot be found" when I Log in or create a user account (not when I first follow the link, but when logging in). Andy and I determined the site is down right now and will test later.

https://en.m.wikipedia.org/wiki/Special:EditWatchlist I'm getting a message saying "Safari cannot open the page because the server cannot be found" when I Log in or create a user account (not when I first follow the link, but when logging in). Andy and I determined the site is down right now and will test later.

Are you using macOS Sierra and the latest Safari version? I'm having problems with connecting to Wikimedia sites at random moments since the upgrade, not sure I am the only one.

I'm using iOS 10.2 devices (iPhone 6S and iPad Air 2), the Safari app is up to date on both.

@Nicholas.tsg you're using the production server, you should use the beta cluster instead: https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:EditWatchlist

I tested the beta cluster link and still got the same result:

Thanks, this is blocked by T151894. I'd try to test tomorrow.

Specs -
Samsung Galaxy Tab 4 with Android 4.4.2 (Android Browser, Chrome, Firefox)
Google Nexus 9 with Android 6.0.1 (Chrome, Firefox)
iPhone 7 with iOS 10.0.2 (Chrome, Firefox, Safari)

Testing works as expected, tapping Modified in a second tab does not affect the List setting in the first tab.

bmansurov added a subscriber: Nicholas.tsg.
ovasileva closed this task as Resolved.Dec 2 2016, 2:39 PM